Pricefx REST API Reference
The Pricefx Backend API
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/add/P
- URL:https://companynode.pricefx.com/pricefx/companypartition/add/P
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/add/P \
-H 'Content-Type: application/json' \
-d '{
"data": {
"sku": "p2398759575012555",
"label": "Smoked Tofu",
"unitOfMeasure": "ea",
"currency": "USD",
"formulaName": "PriceList",
"attribute1": "2",
"attribute2": "PG1",
"attribute3": 1,
"userGroupEdit": "PricingManagers,Administrators",
"userGroupViewDetails": "PricingManagers"
},
"operation": "add"
}'- listProductsResponseExample_resultFields
- listProductsResponseExample_valueFields
- listProductsResponseExample
{ "response": { "node": "node", "startRow": 0, "data": [ … ], "endRow": 8, "totalRows": 8, "status": 0 } }
Updates specified fields of the record. Only one record can be updated per request (unless batched).
Please note: The update request should contain all old values in the
oldValuesproperty (especially thetypedIdand theversion) and all values (along the typedId) you want to update in thedataproperty.Apart from the version checks, additional integrity checks are performed. E.g. if fields that are part of the business key are changed then it is checked that no other object is already defined with those key(s).
Enter new field values. Multiple values can be updated. In our example the unitOfMeasure and label properties were updated.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/update/P
- URL:https://companynode.pricefx.com/pricefx/companypartition/update/P
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/update/P \
-H 'Content-Type: application/json' \
-d '{
"data": {
"currency": "EUR",
"typedId": "2147501222.P"
},
"oldValues": {
"version": 5,
"typedId": "2147501222.P",
"sku": "33333",
"label": "Label Three",
"unitOfMeasure": "EA",
"userGroupEdit": "admin",
"userGroupViewDetails": null,
"currency": "CZK",
"formulaName": "PriceList",
"image": null,
"createDate": "2021-09-16T09:43:59",
"createdBy": 2147490696,
"lastUpdateDate": "2021-11-04T18:33:16",
"lastUpdateBy": 2147490696,
"attribute1": "56",
"attribute2": "3rd",
"attribute3": 4,
"attribute4": null,
"attribute5": null,
"attribute6": null,
"attribute7": null,
"attribute8": null,
"attribute9": null,
"attribute10": null,
"attribute11": null,
"attribute12": null,
"attribute13": null,
"attribute14": null,
"attribute15": null,
"attribute16": null,
"attribute17": null,
"attribute18": null,
"attribute19": null,
"attribute20": null,
"attribute21": null,
"attribute22": null,
"attribute23": null,
"attribute24": null,
"attribute25": null,
"attribute26": null,
"attribute27": null,
"attribute28": null,
"attribute29": null,
"attribute30": null
},
"operationType": "update",
"textMatchStyle": "exact"
}'- listProductsResponseExample_resultFields
- listProductsResponseExample_valueFields
- listProductsResponseExample
{ "response": { "node": "node", "startRow": 0, "data": [ … ], "endRow": 8, "totalRows": 8, "status": 0 } }
Request
Performs a search by sku and label fields. Returns all lists containing the search term. Enter the search term in the request body in the q parameter.
Information: Use the /productmanager.quicksearch/{query} (Search a Product (URL)) endpoint to pass the search term in the URL.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productmanager.quicksearch
- URL:https://companynode.pricefx.com/pricefx/companypartition/productmanager.quicksearch
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/productmanager.quicksearch \
-H 'Content-Type: application/json' \
-d '{
"data": {
"q": "PROD0001"
}
}'{ "response": { "node": "string", "csrfToken": "string", "data": [ … ], "totalRows": 0, "status": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments